280 kind(1) - Kailash Tool Reference
280.1 kind
kind - kind — Kubernetes IN Docker, local clusters for testing.
| Layer | OPS |
| Category | o-02-compute-serving-infrastructure |
| Safety class | safe |
| Licence | Apache-2.0 |
| Upstream | github.com/kubernetes-sigs/kind |
280.1.1 NAME
kind - kind — Kubernetes IN Docker, local clusters for testing.
280.1.2 SYNOPSIS & usage
Derived from the upstream README at generation time; verify against --help where the tool is installed.
# For AMD64 / x86_64
[ $(uname -m) = x86_64 ] && curl -Lo ./kind https://kind.sigs.k8s.io/dl/v0.33.0/kind-$(uname)-amd64
# For ARM64
[ $(uname -m) = aarch64 ] && curl -Lo ./kind https://kind.sigs.k8s.io/dl/v0.33.0/kind-$(uname)-arm64
chmod +x ./kind
sudo mv ./kind /usr/local/bin/kind
brew install kind
280.1.3 DESCRIPTION (upstream)
kind is a tool for running local Kubernetes clusters using Docker container “nodes”. kind was primarily designed for testing Kubernetes itself, but may be used for local development or CI. If you have [go] and [docker], [podman] or [nerdctl] installed go install sigs.k8s.io/kind@v0.33.0 && kind create cluster is all you need! kind consists of: - Go [packages][packages] implementing [cluster creation][cluster package], [image build][build package], etc. - A command line interface ([kind][kind cli]) built on these packages. - Docker [image(s)][images] written to run systemd, Kubernetes, etc. - [kubetest][kubetest] integration also built on these packages (WIP) kind bootstraps each “node”
280.1.4 SEE ALSO
- Category: o-02-compute-serving-infrastructure in the category directory (sister tools listed there).
ref: pin - verified 2026-10-14